IMocksControlState
Date: 2015-09-17

org.easymock.internal

## Interface IMocksControlState

- All Known Implementing Classes:
    RecordState, ReplayState

      public interface IMocksControlState

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `andAnswer(IAnswer<?> answer)`
    `void` | `andDelegateTo(java.lang.Object answer)`
    `void` | `andReturn(java.lang.Object value)`
    `void` | `andStubAnswer(IAnswer<?> answer)`
    `void` | `andStubDelegateTo(java.lang.Object delegateTo)`
    `void` | `andStubReturn(java.lang.Object value)`
    `void` | `andStubThrow(java.lang.Throwable throwable)`
    `void` | `andThrow(java.lang.Throwable throwable)`
    `void` | `andVoid()`
    `void` | `assertRecordState()`
    `void` | `asStub()`
    `void` | `checkIsUsedInOneThread(boolean shouldBeUsedInOneThread)`
    `void` | `checkOrder(boolean value)`
    `java.lang.Object` | `invoke(Invocation invocation)`
    `void` | `makeThreadSafe(boolean threadSafe)`
    `void` | `replay()`
    `void` | `times(Range range)`
    `void` | `verify()`

- - ### Method Detail

    - #### invoke

          java.lang.Object invoke(Invocation invocation)
                                  throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### assertRecordState

          void assertRecordState()

    - #### andReturn

          void andReturn(java.lang.Object value)

    - #### andThrow

          void andThrow(java.lang.Throwable throwable)

    - #### andAnswer

          void andAnswer(IAnswer<?> answer)

    - #### andDelegateTo

          void andDelegateTo(java.lang.Object answer)

    - #### andVoid

          void andVoid()

    - #### andStubReturn

          void andStubReturn(java.lang.Object value)

    - #### andStubThrow

          void andStubThrow(java.lang.Throwable throwable)

    - #### andStubAnswer

          void andStubAnswer(IAnswer<?> answer)

    - #### andStubDelegateTo

          void andStubDelegateTo(java.lang.Object delegateTo)

    - #### asStub

          void asStub()

    - #### times

          void times(Range range)

    - #### checkOrder

          void checkOrder(boolean value)

    - #### makeThreadSafe

          void makeThreadSafe(boolean threadSafe)

    - #### checkIsUsedInOneThread

          void checkIsUsedInOneThread(boolean shouldBeUsedInOneThread)

    - #### replay

          void replay()

    - #### verify

          void verify()